View Issue Details

IDProjectCategoryView StatusLast Update
0027711RunnerHTML5Public2018-02-07 14:52
ReporterKevin BrownAssigned ToMike Dailly 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Summary0027711: HTML5: sprite_create_from_surface() with WebGL will cause nothing to be shown for the sprite surface
DescriptionAlthough another issue was fixed in 1.4.1772 with "sprite_create_from_surface" in Android and other platforms, it still doesn't work on Webgl.

The function does not create a sprite at all; The function returns 0 (which is "expected") and right after that we try to draw that sprite and nothing gets drawn.
Additional InformationOriginal Zendesk Ticket: https://yoyogames.zendesk.com/agent/tickets/131488
1.4 Found In1.4.1772
2.x Runtime Found In
2.x Runtime Verified In

Activities

Kevin Brown

2017-09-07 10:37

Manager  

SurfaceCreate.gmz (250,082 bytes)

Mike Dailly

2017-09-07 15:59

Manager   ~0055369

Can this be checked on 2.0 as I have fixed some issues that might not be released in 1.4 yet.

Sam Cumming

2017-09-07 16:08

Adminstrator   ~0055370

Appears fixed in 2.1.0.214 / rt 2.1.0.137 - Reassigned to Mike.

Mike Dailly

2017-09-28 14:38

Manager   ~0055778

fixed in 2.1.0